# debugspy

A spy element that can provide information on buffers going through it, with bus messages.

## Example launch line

     gst-launch-1.0 -m videotestsrc ! debugspy ! fakesink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──debugspy

## Factory details

Authors: – Guillaume Emont

Classification: – `Filter/Analyzer/Debug`

Rank – none

Plugin – debugutilsbad

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Properties

### checksum-type

    “checksum-type” GChecksumType *

Checksum algorithm to use

Flags : Read / Write

Default value : sha1 (1)

### silent

    “silent” gboolean

Produce verbose output ?

Flags : Read / Write

Default value : false

The results of the search are